import argparse
import os

from test import test
from saver import SaveLog

if __name__ == '__main__':
        parser = argparse.ArgumentParser()
        parser.add_argument("--start_frame", type=int, default=1, help = "start frame")
        parser.add_argument("--end_frame", type=int, default=200, help = "end frame")
        parser.add_argument("--viewpoint", type=int, default=5, help = "view point row num (default : 5)")
        parser.add_argument("--pix_mask_size", type=int, default=8, help = "pixel mask row size (default : 8)")
        parser.add_argument("--shots_num", type=int, default=4, help = "shots num")
        parser.add_argument("--dev", type=float, default=0.005, help = "noise")
        parser.add_argument("--test_data", type=str, default="planet_200f", help="test data")
        parser.add_argument('--para', type = bool, default= True, help='use pararel net')
        parser.add_argument("--model_data", type=str, default="Model", help="model data")
        args = parser.parse_args()

        #output directory
        dstdir = "./Dst"
        os.makedirs(dstdir, exist_ok = True)
        os.makedirs(os.path.join(dstdir, args.test_data), exist_ok = True)

        #Log
        save_log = SaveLog(os.path.join(dstdir, args.test_data), "%s_test_log.txt"%(args.test_data))
        save_log.log("Noise: \t%f\n" %args.dev)
        save_log.log("Number of view point : \t%dx%d\n"%(args.viewpoint, args.viewpoint))
        save_log.log("Test data : \t%s\n"%args.test_data)

        print("Test data:\t%s"%(args.test_data))
        print("Model data:\t%s"%(args.model_data))

        test(
                args,
                dstdir = dstdir,
                save_log = save_log,
        )
